summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@sequoia-pgp.org>2022-09-22 10:19:12 +0300
committerLars Wirzenius <liw@sequoia-pgp.org>2022-09-22 10:19:12 +0300
commit885c3bb497cbb1fd106b5d96ff406399c80ce75f (patch)
tree8eec1ded60e1a54e638f6a926b72451ed3eeb0d1
parent84410035da77145923acf4892c636d9622b03666 (diff)
downloadmissing-dependencies-885c3bb497cbb1fd106b5d96ff406399c80ce75f.tar.gz
feat: add script to produce an HTML report
Sponsored-by: pep.foundation
-rwxr-xr-xreport.sh9
-rw-r--r--style.css18
2 files changed, 27 insertions, 0 deletions
diff --git a/report.sh b/report.sh
new file mode 100755
index 0000000..aa8ccee
--- /dev/null
+++ b/report.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -euo pipefail
+
+sq_dir="$1"
+
+./debian-crate-packages >crates-in-debian
+cargo run -q -- --style=markdown crates-in-debian "$sq_dir" -f crypto-nettle |
+ pandoc -H style.css -f markdown /dev/stdin -o problems.html --metadata title="Problems packaging sq for Debian"
diff --git a/style.css b/style.css
new file mode 100644
index 0000000..83eacc7
--- /dev/null
+++ b/style.css
@@ -0,0 +1,18 @@
+<style>
+table {
+ margin-top: 5em;
+ width: 100%;
+}
+caption {
+ margin-bottom: 2em;
+}
+th, td {
+ text-align: left;
+}
+tr.even {
+ background: #f0f0f0;
+}
+tbody tr td:first-child {
+ font-family: monospace;
+}
+</style>